#!/bin/sh
# build-libgpm.sh - Builds our version of "libgpm"

# Note: For more information, see the README file located in this dir-
# ectory.

#---------------------------------------------------------------------
# Initial setup.

PKCLIBS="-lgpm"

#---------------------------------------------------------------------
# Set default PREFIX, if necessary.

if test x$PREFIX = x
then
    PREFIX=/usr/local
fi

#---------------------------------------------------------------------
# Print an initial status message.

echo
echo PREFIX is $PREFIX
echo "If that isn't want you wanted, use a command similar to this:"
echo "PREFIX=/foo/bar sh ./build-libgpm.sh"
echo
echo For more information, see the README file.
echo "Building package..."
echo

#---------------------------------------------------------------------
# Build the package.

OBJECTS="liblow.o libhigh.o libxtra.o report-lib.o tools.o"
RELEASE=070112
REV=19

touch test1.o libgpm.so &&
rm *.o libgpm.so*

gcc -I. -Wall \
    -DSYSCONFDIR="\"$PREFIX/libgpm/etc\"" \
    -DSBINDIR="\"$PREFIX/libgpm/sbin\"" \
    -DPIC -fPIC -O2 -c *.c

gcc -shared -Wl,-soname,libgpm.so.1 \
    -s -o libgpm.so.1.$REV.0 $OBJECTS
ar rcs    libgpm.a           $OBJECTS
ranlib    libgpm.a

ln -nsf libgpm.so.1.$REV.0 libgpm.so.1.$REV &&
ln -nsf libgpm.so.1.$REV libgpm.so.1 &&
ln -nsf libgpm.so.1 libgpm.so

rm *.o &&
ls -l libgpm.so*

#---------------------------------------------------------------------
# Create a ".pc" file for use by "pkgconfig".

cat > libgpm.pc << END
prefix=$PREFIX
exec_prefix=$PREFIX
libdir=$PREFIX/lib
includedir=$PREFIX/include

Name: libgpm
Description: gpm protocol / client library
Version: $RELEASE

Requires: 
Libs: -L\${libdir} $PKCLIBS
Cflags: -I\${includedir}
END

#---------------------------------------------------------------------
# Wrap it up.

echo Built libgpm
